# Method: projects.locations.lbRouteExtensions.get

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions/get#try-it)

Gets details of the specified `LbRouteExtension` resource.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/lbRouteExtensions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the `LbRouteExtension` resource to get. Must be in the format `projects/{project}/locations/{location}/lbRouteExtensions/{lbRouteExtension}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.lbRouteExtensions#LbRouteExtension`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networkservices.lbRouteExtensions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).